सामग्री पर जाएँ

Kling LipSync Text-to-Video

इंटीग्रेट करें

मॉडल id kling-video/lipsync/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/lipsync/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.14 140 API क्रेडिट · ≈ ₽15.06 चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Kling लिपसिंक और अवतार लिपसिंक #text-to-video#lipsync

समायोज्य गति वाली चयन योग्य सिंथेटिक वॉइस का उपयोग करके वीडियो में किसी व्यक्ति से टाइप किया गया टेक्स्ट बुलवाता है

Doitong पर बनाया गया

Doitong समुदाय द्वारा Kling LipSync से बनाए गए सार्वजनिक कार्य। एक क्लिक में प्रॉम्प्ट का पुनः उपयोग करें।

दिखाए गए सार्वजनिक कार्य: 16
वीडियो

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

वीडियो

Как остановить тревогу за 60 секунд. Когда она накатывает, начните с дыхания: медленно вдохните через нос на четыре счёта, задержите на четыре и мягко выдохните через рот на шесть. Повторите три раза — это сразу успокаивает нервную систему. Затем посмотрите вокруг и вслух назовите три вещи,...

वीडियो

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

वीडियो

Дорогой друг, если тревога внезапно накрыла, остановите её за шестьдесят секунд тремя простыми шагами. Сначала медленно вдохните носом на четыре секунды, задержите дыхание ещё на четыре и плавно выдохните ртом на шесть. Это сразу снижает активность симпатической нервной системы и даёт телу сигнал...

वीडियो

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

वीडियो

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

वीडियो

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

वीडियो

Как перестать всё контролировать? Я знаю, как тяжело постоянно держать всё в руках. Вот три простых шага, которые реально помогают. Сначала заметьте, когда внутри возникает напряжение, и сделайте три медленных выдоха длиннее вдохов. Это сразу включает спокойную часть нервной системы. Второй шаг:...

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 120

लिप-सिंक वीडियो बनाने के लिए उपयोग किया जाने वाला टेक्स्ट, अधिकतम 120 अक्षरों तक सीमित।

•आवश्यक video_url
फ़ाइल ड्रॉप करें, या

लिप-सिंक निर्माण के लिए वीडियो URL। अधिकतम 100MB की .mp4 या .mov फ़ाइल स्वीकार की जाती है, जिसकी अवधि 2–60 सेकंड हो और रिज़ॉल्यूशन केवल 720p या 1080p हो; दोनों आयाम 720–1920px के बीच होने चाहिए। सत्यापन विफल होने पर त्रुटि लौटाई जाती है।

•आवश्यक

वाक् संश्लेषण के लिए उपयोग की जाने वाली आवाज़ का पहचानकर्ता।

उन्नत voice_language · voice_speed · enable_safety_checker
voice_language डिफ़ॉल्ट en

चयनित Voice ID से संबद्ध भाषा।

डिफ़ॉल्ट 1

टेक्स्ट से वीडियो बनाते समय उपयोग की जाने वाली बोलने की गति।

POST /run/kling-video/lipsync/text-to-video?wait=20 कोटेशन → $0.14
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/lipsync/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Kling LipSync Text-to-Video के बारे में

ऑडियो फ़ाइल के बजाय टेक्स्ट से लिप-सिंक्ड स्पीच जेनरेट करता है। `video_url`, `text` के अधिकतम 120 कैरेक्टर, और प्रीसेट आवाज़ों की सूची से चुनी गई एक `voice_id` प्रदान करें। `voice_language` या तो zh है या en, और `voice_speed` 0.8 से 2 के बीच होती है। सोर्स वीडियो .mp4 या .mov हो सकता है, 100MB तक, 2 से 60 सेकंड, 720p या 1080p पर।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
सुरक्षा जाँच केवल अकाउंट प्राधिकरण के साथ अक्षम की जा सकती है; प्राधिकरण के बिना किए गए अनुरोधों की हमेशा जाँच होती है।
video_urlआवश्यक video
प्रकारurl · video
लिप-सिंक निर्माण के लिए वीडियो URL। अधिकतम 100MB की .mp4 या .mov फ़ाइल स्वीकार की जाती है, जिसकी अवधि 2–60 सेकंड हो और रिज़ॉल्यूशन केवल 720p या 1080p हो; दोनों आयाम 720–1920px के बीच होने चाहिए। सत्यापन विफल होने पर त्रुटि लौटाई जाती है।
textआवश्यक
प्रकारstring
≤ 120 अक्षर
लिप-सिंक वीडियो बनाने के लिए उपयोग किया जाने वाला टेक्स्ट, अधिकतम 120 अक्षरों तक सीमित।
voice_idआवश्यक
प्रकारenum
genshin_vindi2zhinen_xueshengAOTai_shatanggenshin_klee2genshin_kiraraai_kaiyaoversea_male1ai_chenjiahao_712girlfriend_4_speech02chat1_female_new-3chat_0407_5-1cartoon-boy-07uk_boy1cartoon-girl-01PeppaPig_platform
+30 औरai_huangzhong_712ai_huangyaoshi_712ai_laoguowang_712chengshu_jiejieyou_pingjingcalm_story1uk_man2laopopo_speech02heainainai_speech02reader_en_m-v1commercial_lady_en_f-v1tiyuxi_xueditiexin_nanyougirlfriend_1_speech02girlfriend_2_speech02zhuxi_speech02uk_oldman3dongbeilaotie_speech02chongqingxiaohuo_speech02chuanmeizi_speech02chaoshandashu_speech02ai_taiwan_man2_speech02xianzhanggui_speech02tianjinjiejie_speech02diyinnansang_DB_CN_M_04-v2yizhipiannan-v1guanxiaofang-v2tianmeixuemei-v1daopianyansang-v1mengwa-v1
वाक् संश्लेषण के लिए उपयोग की जाने वाली आवाज़ का पहचानकर्ता।
voice_languageवैकल्पिक
प्रकारenum
डिफ़ॉल्टen
zhen
चयनित Voice ID से संबद्ध भाषा।
voice_speedवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0.8 – 2
टेक्स्ट से वीडियो बनाते समय उपयोग की जाने वाली बोलने की गति।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/lipsync/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 140,
    "usd": "0.14",
    "charged": 140,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा निर्मित वीडियो।

और मॉडल: लिपसिंक और अवतार

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/kling-video/lipsync/text-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt